> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `POST /api/v1/customers`

> `POST /api/v1/customers`

### Request body

`CreateCustomerRequest`

<ParamField body="accepts_marketing" type="boolean,null" />

<ParamField body="email" type="string" required />

<ParamField body="first_name" type="string" required />

<ParamField body="last_name" type="string" required />

<ParamField body="metadata" type="object,null" />

<ParamField body="phone" type="string,null" />

<ParamField body="tags" type="array,null" />

### Responses

<ResponseField name="201" type="CustomerResponse">
  Customer created
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<ResponseField name="422" type="ErrorBody">
  Idempotency-Key reused with a different body
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/customers' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "accepts_marketing": null,
    "email": "string",
    "first_name": "string",
    "last_name": "string",
    "metadata": null,
    "phone": null,
    "tags": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "accepts_marketing": true,
    "created_at": "2026-07-24T12:00:00Z",
    "email": "string",
    "first_name": "string",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "last_name": "string",
    "phone": null,
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
